Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455353 - [zhcon] [x86_64] Segment fault when inputing Chinese
Summary: [zhcon] [x86_64] Segment fault when inputing Chinese
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: zhcon
Version: 9
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 23:46 UTC by Ding-Yi Chen
Modified: 2009-05-01 07:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-01 07:56:05 UTC


Attachments (Terms of Use)

Description Ding-Yi Chen 2008-07-14 23:46:56 UTC
From Bugzilla Helper:
User-Agent: Opera/9.51 (X11; Linux i686; U; en)

Description of problem:
After enable the input method, type the first key makes the zhcon segment fault.

Version-Release number of selected component (if applicable):
zhcon-0.2.6-8

How reproducible:
Always


Steps to Reproduce:
1. zhcon
2. Use ctrl-space to enable the input method
3. Type 'a'

Actual Results:
zhcon segment fault.

Expected Results:
zhcon should display the candidate words or phrase for choosing.

Additional info:

Comment 1 Ding-Yi Chen 2008-09-15 06:40:06 UTC
zhcon does not support x86_64 by default, and the zhcon upstream seems inactive for a while.
The utf8 support of zhcon is via iconv, so if iconv fails to covert GB2312/GBK to UTF8,
missing words occur as consequence.

Now I am evaluating whether other CJK terminals can be used as substitute.

Comment 2 Ding-Yi Chen 2009-05-01 07:56:05 UTC
It seems that fbterm can be the good suceeding terminal when its input methods are more mature.


Note You need to log in before you can comment on or make changes to this bug.